{% extends 'dashboard/_layout/layout_dashboard.html.twig' %}

{% block breadcrumb %}
    {% set breadcrumb_back_link = path('app_dashboard_contact_list') %}
    {% set breadcrumb_back_link_title = 'Contacts' %}
    {% embed 'dashboard/_component/breadcrumb.html.twig' with {'breadcrumb_title': ('Contact: ' ~  contact.fullName) } %}{% endembed %}
{% endblock %}

{% block title %}Contacts {{ parent() }}{% endblock %}

{% block content %}

    {% embed 'dashboard/_component/flash_v2.html.twig' %}{% endembed %}

    <div class="row">
        <div class="col-lg-8 col-xl-8 mx-auto">
            <div class="card">
                <div class="card-header">
                    <div class="row align-items-center">
                        <div class="col">
                            <h4 class="card-title">Contact Information</h4>
                        </div><!--end col-->
                    </div>  <!--end row-->
                </div><!--end card-header-->
                <div class="card-body">
                    {{ form_start(formEditContact) }}
                    <h3 class="font-weight-light mb-4">Information</h3>

                    <div class="row px-0 mb-2">
                        <div class="form-group col-md-6">
                            {{ form_label(formEditContact.firstName) }}
                            {{ form_widget(formEditContact.firstName) }}
                        </div>

                        <div class="form-group col-md-6">
                            {{ form_label(formEditContact.lastName) }}
                            {{ form_widget(formEditContact.lastName) }}
                        </div>

                        <div class="form-group col-md-6">
                            {{ form_label(formEditContact.emailAddress) }}
                            {{ form_widget(formEditContact.emailAddress) }}
                        </div>

                        <div class="form-group col-md-6">
                            {{ form_label(formEditContact.phoneNumber) }}
                            {{ form_widget(formEditContact.phoneNumber) }}
                        </div>
                    </div>

                    <h3 class="font-weight-light mb-4">List</h3>

                    <div class="mb-5">
                        {{ form_widget(formEditContact.groups) }}
                    </div>

                    <button class="btn btn-primary" type="submit">Save changes</button>
                    <button type="button" class="btn btn-danger" data-toggle="modal"
                            data-target="#deleteContactModal">Delete
                    </button>
                    <a href="{{ path('app_dashboard_contact_list') }}" class="btn btn-light border">Cancel</a>

                    {{ form_end(formEditContact) }}
                </div>
            </div>
        </div> <!--end col-->

    </div><!--end row-->
{% endblock %}

{% block modals %}
    {{ parent() }}

    <div class="modal fade" id="deleteContactModal" tabindex="-1" role="dialog"
         aria-labelledby="deleteContactModalLabel"
         aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="deleteContactModalLabel">Delete a contact</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <div class="alert alert-outline alert-warning" role="alert">
                        <i data-feather="alert-triangle" class="mr-2"></i>
                        <small class="font-weight-">
                            Are you sure you want to delete this contact? Your action cannot be undone.
                        </small>
                    </div>
                    <div class="border-top py-3 mt-4">
                        <p><span class="font-weight-bold">The following contact will be deleted:</span></p>

                        {{ contact.emailAddress }}
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                    <a href="{{ path('app_dashboard_contact_delete', {contactId: contact.contactId.encode}) }}"
                       class="btn btn-danger">Delete</a>
                </div>
            </div>
        </div>
    </div>
{% endblock %}